/*
 * Copyright (c) 2010 David McIntosh <dmcintosh@df12.net>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#import <AppKit/AppKit.h>
#import "util.h"
#import "constants.h"
#import "GanttTask.h"
#import "GanttView.h"
#import "NSDate+GanttAdditions.h"

@interface GanttInspectorController : NSObject
{
    GanttTask *task;
    IBOutlet id inspector;
    IBOutlet id taskTextField;
    IBOutlet id taskStartTextField;
    IBOutlet id taskEndTextField;
}

- (void)ganttViewSelectionDidChange:(NSNotification *)note;
- (void)setTask:(GanttTask *)aTask;
- (void)setInspector:(id)obj;
- (void)setTaskTextField:(id)obj;
- (void)setTaskStartTextField:(id)obj;
- (void)setTaskEndTextField:(id)obj;

@end
